As avi mentioned it's much better to use adobe-flashplugin from Partner repo. This package provides the latest versions of Flash PPAPI and NPAPI in all supported releases. Even 12.04 LTS have the latest version. Also the latest PPAPI that pepperflashplugin-nonfree diplays for me is: 20.0.0.228 and adobe-flashplugin package has: 20.0.0.267 They have been including those two for at least 9 months already so the pepperflashplugin-nonfree package isn't relevant in Ubuntu anymore. https://www.reddit.com/r/Ubuntu/comments/32levk/adobeflashplugin_package_in_1504_development/